Contents

Contents. 2

How to….. 9

How to calibrate. 9

A close up of a sign Description automatically generated How to select spindle. 9

How to define a new probe. 10

A drawing of a cartoon character Description automatically generated How to calibrate probe length. 11

How to calibrate a probe using a sphere. 12

How to calibrate a probe using a ring. 13

A red and white cake Description automatically generated How to calibrate a rotary table axis. 14

How to use find ring artifact. 15

How to use find sphere (probe calibration). 15

How to use find sphere (rotary axis). 16

How to calibrate a rotary head axis. 17

How to set offsets. 18

A close up of a computer Description automatically generated How to set an offset using a point. 19

A picture containing table, furniture Description automatically generated How to set an offset using a bore. 20

How to set an offset in a small bore. 20

How to set an offset in a large-diameter bore. 22

A picture containing table, pool table Description automatically generated How to set an offset using a boss. 23

How to set an offset using an inside corner. 24

How to set an offset using an outside corner. 25

How to set an offset using a midpoint. 26

A picture containing sitting, indoor, red Description automatically generated How to set an offset using a sphere. 28

A picture containing object Description automatically generated How to set an offset using a line. 29

How to set an offset using a plane. 30

How to set an offset using a keyway. 32

A close up of a logo Description automatically generated How to set an offset using a key. 33

How to set an offset using a flat. 34

Gaging Programs. 35

How to make a gaging program.. 36

A close up of a sign Description automatically generated How to select spindle. 37

A picture containing sitting, indoor Description automatically generated A picture containing object, indoor Description automatically generated How to add move commands. 38

A close up of a computer Description automatically generated How to measure a point. 39

How to measure slanted point. 40

A picture containing table, furniture Description automatically generated How to measure a bore. 41

How to measure small bore. 41

How to measure a large-diameter bore. 43

A picture containing table, pool table Description automatically generated How to measure a boss. 44

How to measure a shaft. 45

How to measure a keyway. 46

A close up of a logo Description automatically generated How to measure a key. 47

How to measure a flat. 48

How to measure an inside corner. 49

How to measure an outside corner. 50

A picture containing table, furniture Description automatically generated How to measure a web. 51

A picture containing red, light, sitting, sky Description automatically generated How to measure a pocket. 52

How to measure a plane. 53

A picture containing object Description automatically generated How to measure a line. 55

A picture containing table, furniture Description automatically generated How to measure a cylinder (bore). 56

A close up of a cake Description automatically generated How measure a cylinder (boss). 57

A picture containing table, furniture, pool table, poolroom Description automatically generated How to measure a cone inside. 58

How to measure a cone outside. 59

A picture containing sitting, indoor, red Description automatically generated How to measure a sphere. 60

How to construct a point. 61

How to construct a line. 62

How to construct a circle. 63

How to construct an angle. 64

How to evaluate a distance. 65

How to evaluate concentricity. 66

A picture containing clipart Description automatically generated How to update a work offset. 67

How to write to a variable. 68

How to update tool offset. 69

A drawing of a cartoon character Description automatically generated How to set coordinate rotation. 72

How to save a measurement program.. 74

How to call a gaging program from an NC program.. 75

Smooth OMM home screen. 76

Overview.. 76

Functions. 78

Application controls. 78

Calibration. 79

Functions. 80

Calibration Report Screen. 81

Set offset. 85

Overview.. 85

Functions. 86

Control buttons. 86

Settings. 87

Measured & Target values. 87

A picture containing clipart Description automatically generated Gaging program screen. 88

Overview.. 88

Control buttons. 89

Tolerance reporting screen. 90

Overview.. 90

Options in set offset. 92

Overview.. 92

Description of options. 92

Options in measurement. 93

Description of options. 93

Edit screen. 95

Overview.. 95

Control buttons. 96

File manager screen. 97

Overview.. 97

Function menu. 98

Report screen. 99

Function menu. 100

A picture containing object Description automatically generated Trend screen. 101

Setup screen. 103

Overview.. 103

Function menu. 104

Settings. 105

Define user tolerance chart screen. 107

Overview.. 107

Setup work face orientation screen. 109

Overview.. 109

Counter display setup. 111

A picture containing screenshot Description automatically generated System setup screen. 113

Overview.. 113

A picture containing metalware, lock Description automatically generated Password setup screen. 115

Overview.. 115

Data backup screen. 117

Overview.. 117

Register license screen. 119

Overview.. 119

Information manager screen. 121

Overview.. 121

Measurement functions. 122

Functions. 122

Vectors (I, J, K) in Smooth OMM... 123

Common vector values in 3D.. 123

Icons used in Smooth OMM... 127

Main screen icons. 127

Application bar icons. 127

Status icons. 128

Set offset icons. 129

Measurement menu icons. 130

Gaging program menu items. 132

Calibration menu items. 133

Settings menu items. 134

File manager icons. 134

Report screen icons. 135

Edit screen icons. 135

Teach-in controls. 136

Navigation icons. 136

Work plane selection icons. 137

For 3, 4 and 5 axis machines (no rotating head). 137

For machines with rotating head. 138

Appendix A – Config Tool 139

Overview.. 139

Setting up a machine. 140

Starting the Config Tool 140

Configuring items on the General tab. 141

Setting the values on the Parameters tab. 143

Configure the Kinematic and Axis info. 145

Verify the Probe Macros. 147

Other Tabs – Keyboard Tab. 149

Other Tabs – Advanced Tab. 150

Appendix B - Licensing. 151

Starting the trial period. 151

Registering a license. 151

Appendix C – Installing the software. 152

Standard installation. 152

Overview.. 152

Requirements. 152

Appendix D – Common Error Messages. 155

How to…

This section explains how to perform common tasks in Smooth OMM and should be used as a tutorial to get started. For more details about specific functions, see the reference section of the documentation.

How to calibrate

Smooth OMM provides the ability to calibrate the probe as well as the rotary axes of the machine using a simple teach-in process. These functions are accessible from the calibrate screen.

How to … | Availability
How to select spindle | Integrex
Define a new probe | All machines
Calibrate probe length | All machines
Calibrate probe using a sphere | All machines
Calibrate probe using a ring | All machines
Calibrate rotary table axis | All machines
Find ring artifact | All machines
Find sphere artifact | All machines
Calibrate rotary head axis | All machines

A close up of a sign Description automatically generated How to select spindle

Note: Only required for Integrex with second spindle

Instructions
1 |  | Press <Select Spindle> button | A close up of a sign Description automatically generated
2 | A picture containing object, clock Description automatically generated | Select the active spindle and press <OK> to proceed. |

How to define a new probe

Instructions
1 |  | Press <Select a Probe>
2 |  | Press <Create New Probe>
3 |  | Fill out properties for the new probe and give it a name (pocket number, nominal length and nominal diameter).
5 | A picture containing object, clock Description automatically generated | Press <OK> to set the new probe.

A drawing of a cartoon character Description automatically generated How to calibrate probe length

Instructions
1 |  | Press <Set Probe Length> | A drawing of a cartoon character Description automatically generated
2 |  | Enter the expected target value for the point. - This should be an known surface in the machine, on the part, or a surface cut with a known tool.
3 |  | Position probe over target value and press <Execute>
4 | A picture containing object, clock Description automatically generated | Review the measured data and press <OK>.

Additional Notes

It is recommended to calibrate the probe length before calibrating on the sphere. This will allow using the Find Sphere function to determine the location of the calibration sphere (including the Z location)

It is important to use a well known / defined surface to set the probe length.

How to calibrate a probe using a sphere

Instructions
1 |  | Press the <Sphere Calibration> button.
2 |  | Check diameter and center location of sphere and if necessary, correct them. Use find sphere artifact if unsure.
3 |  | Position the probe over center of sphere and press <Execute>. Start the monitor macro on the machine. Before calibrating Smooth OMM finds the sphere by taking 4 points around the equator and 1 on top. Then Smooth OMM calibrates by taking 161 points.
4 |  | Review the calibration results on screen.
5 | A picture containing object, clock Description automatically generated | Press <OK> to accept probe calibration.

Additional Notes

It is recommended to calibrate the probe length before calibrating on the sphere. This will allow using the Find Sphere function to determine the location of the calibration sphere (including the Z location)

How to calibrate a probe using a ring

Instructions
1 |  | Press the <Ring Calibration> button.
2 |  | Check diameter and center location of ring and if necessary, correct them. Use find ring artifact if unsure.
3 |  | Position the probe at center of ring and press <Execute>. Start the monitor macro on the machine. Smooth OMM will find the ring by taking four points. Then Smooth OMM calibrates measuring 36 points inside of the ring and one on top of it.
4 |  | Review the calibration results on screen.
5 | A picture containing object, clock Description automatically generated | Press <OK> to accept probe calibration.

Additional Notes

Some measurment features require the probe to be calibrated on a sphere. These will be disabled when using a probe that was calibrated on a ring

A red and white cake Description automatically generated How to calibrate a rotary table axis

Instructions
1 |  | Press <Rotary Table Calibration> | A red and white cake Description automatically generated
2 |  | Select calibration axis from box. |
3 |  | Put in a value for safe rotation height. |
4 |  | Check sphere location and if necessary, correct it. |
5 |  | Put in the direction the stem of the calibration sphere is facing. This can easily be done with the <Find Sphere Artifact> function. |
6 |  | Enter in start and end angles and the number of positions and points for the calibration. |
7 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM will turn the table to the start angle and starts calibrating with the defined number of points and positions to the end angle. |
8 | A picture containing object, clock Description automatically generated | Review the calibration data and press <OK>.

How to use find ring artifact

Instructions
1 |  | Press <Find Ring Artifact >
2 |  | Input ring diameter.
3 |  | Position probe at center of ring and press <Execute> Then start the monitor macro on the machine
4 | A picture containing object, clock Description automatically generated | Review the measured data and press <OK>.

How to use find sphere (probe calibration)

Instructions
1 |  | Press <Find Sphere Artifact >
2 |  | Position probe over sphere in the direction the stem is pointing and press <Read Position>
3 |  | If “Set Probe Length” has been used to calibrate the probe length, then check the box “The probe length has already been calibrated”
4 |  | Position probe over the sphere and press <Execute> Then start the monitor macro on the machine
5 | A picture containing object, clock Description automatically generated | Review the measured data and press <OK>.

Additional Notes

It is recommended to calibrate the probe length before using Find Sphere. This will allow using the Find Sphere function to determine the location of the calibration sphere (including the Z location)

How to use find sphere (rotary axis)

Instructions
1 |  | Press <Find Sphere Artifact >
2 |  | Position probe over sphere in the direction the stem is pointing and press <Read Position>
3 |  | Position probe over pole (Z+) and press <Read Position>
4 |  | Position probe over the sphere and press <Execute> Then start the monitor macro on the machine
5 | A picture containing object, clock Description automatically generated | Review the measured data and press <OK>.

How to calibrate a rotary head axis

Instructions
1 |  | Press <Wrist Head Calibration> |
2 |  | Press <Set Wrist Calibration Angles> to add wrist angle positions that will be calibrated | A close up of a logo Description automatically generated
3 |  | Put in start and end angle and how many positions to be measured. |
4 |  | After entering angles and number of positions, press <Generate Position List> | A picture containing object Description automatically generated
5 |  | If necessary, delete position list by pressing <Clear Position List>. |
6 | A picture containing object, clock Description automatically generated | Press <OK> to save position list.
7 |  | Move machine to safe position for rotating head between positions and press <Set Safe Move Height> |
8 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM will begin calibrating at the start angle with the defined number of points and positions to the end angle.
9 | A picture containing object, clock Description automatically generated | Review the calibration data and press <OK> |

Additional Notes

A minimum of 3 positions must be calibrated

For highest accuracy, calibrate all head positions that will be used for measurement

How to set offsets

Smooth OMM Provides the ability to set work offsets using a simple teach-in process. These functions are accessible from the set offset screen.

How to set an offset using… | Availability
a point | All machines
a bore | All machines
a boss | All machines
an inside corner | All machines
an outside corner | All machines
a midpoint | All machines
a sphere | All machines
a line | Rotary Table
a plane | Trunnion Table
a keyway | Integrex
a key | Integrex
a flat | Integrex

A close up of a computer Description automatically generated How to set an offset using a point

Instructions
1 |  | Select the work offset to set.
2 |  | Choose the axis of the point to measure. This will determine the direction that the probe will move to touch the part.
 |  | Move the probe away from the point that should be touched, in the direction selected in step 2 above. Press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Click the Execute button, then start the monitor macro on the machine
 |  | Smooth OMM measures the point along the selected machine axis and displays the result.
5 |  | Review the measured values on screen and set the desired target values for the offset.
6 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

A picture containing table, furniture Description automatically generated How to set an offset using a bore

When using the Set Offset function for a bore, the teach-in procedure can be used differently for small bores vs large bores. (In this case, a bore is considered small if it is smaller than the search distance specified in the settings).

How to set an offset in a small bore

Instructions
1 |  | Select the work offset to set.
2 |  | Position the probe in the center of the bore and press <Read Position>.
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Click the <Execute> button, then start the monitor macro on the machine. Smooth OMM locates the Bore by taking four points along the blue path, (blue positions 1-4) as shown below
 |  | Next, Smooth OMM measures the bore starting from point A along the red path at four points (red positions 1-4) and calculates the measured center of the bore
5 |  | Review the measured values on screen and set the desired target values for the offset.
6 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset in a large-diameter bore

Instructions
1 |  | Select the work offset to set.
2 |  | Position the probe in the center of the bore and press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position the probe near one side of the bore and press <Read Position>
5 |  | Click the Execute button, then start the monitor macro on the machine. Smooth OMM locates the Bore by taking four points along the blue path, (blue positions 1-4) as shown below
 |  | Next, Smooth OMM moves the probe to point B and measures the bore along the red path at four points (red positions 1-4) and calculates the measured center of the bore
6 |  | Review the measured values on screen and set the desired target values for the offset.
7 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

A picture containing table, pool table Description automatically generated How to set an offset using a boss

Instructions
1 |  | Select the work offset to set.
2 |  | Position the probe at the side of the boss, at the desired measurement height, then press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position the probe over the center of the boss, then press <Read Position>
5 |  | Click the Execute button, then start the monitor macro on the machine. Smooth OMM locates the boss by taking four points around the boss and locates the center of the boss.
 |  | Next, Smooth OMM measures the boss using this center, and calculates the measured center of the boss
6 |  | Review the measured values on screen and set the desired target values for the offset.
7 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset using an inside corner

Instructions
1 |  | Select the work offset to set.
2 |  | Position the probe next to the first point on the first side. (As shown in the diagram) then press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position the probe next to the second point on the first side. (As shown in the diagram) then press <Read Position>
5 |  | Position the probe next to the first point on the second side. (As shown in the diagram) then press <Read Position>
6 |  | Position the probe next to the second point on the second side. (As shown in the diagram) then press <Read Position>
7 |  | Position the probe at a safe position and press <Execute>. Start the monitor macro on the machine. Smooth OMM locates the inside corner by taking four points starting with the first point on the first side and ending with the second point on the second side. Smooth OMM calculates the intersection point of the two sides.
8 |  | Review the measured values on screen and set the desired target values for the offset.
9 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset using an outside corner

Instructions
1 |  | Select the work offset to set.
2 |  | Position the probe next to the first point on the first side. (As shown in the diagram) then press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position the probe next to the second point on the first side. (As shown in the diagram) then press <Read Position>
5 |  | Position the probe next to the first point on the second side. (As shown in the diagram) then press <Read Position>
6 |  | Position the probe next to the second point on the second side. (As shown in the diagram) then press <Read Position>
7 |  | Position the probe at a safe position and press <Execute>. Start the monitor macro on the machine. Smooth OMM locates the outside corner by taking four points starting with the first point on the first side and ending with the second point on the second side. Smooth OMM calculates the intersection point of the two sides.
8 |  | Review the measured values on screen and set the desired target values for the offset.
9 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset using a midpoint

Instructions

1

Select the work offset to set.

2

Select a type of midpoint between pocket, web and step. Then select the axis you want to measure.

Note that the icon does not change when selecting a different axis, measure appropriately for the selected axis.

3.1

Pocket

Position probe next to first point and press <Read Position>

4.1

Pocket

Position probe next to second point and press <Read Position>

3.2

Web

Position probe next to first point and press <Read Position>

4.2

Web

Position probe next to second point and press <Read Position>

5.2

Web

Position probe to safe point and press <Read Position>

3.3

Step

Position probe next to first point and press <Read Position>

4.3

Step

Position probe next to second point and press <Read Position>

5.3

Step

Position probe further away from second point and press <Read Position>

6.1

Position probe for automatic measurement and press <Execute>.

Start the monitor macro on the machine.

Smooth OMM will measure the first and then the second point of the Pocket and calculate the midpoint.

6.2

Position probe for automatic measurement and press <Execute>.

Start the monitor macro on the machine.

Smooth OMM will measure the first and then the second point of the Web, while moving at the safe height and calculate the midpoint.

6.3

Position probe for automatic measurement and press <Execute>.

Start the monitor macro on the machine.

Smooth OMM will measure the first and then the second point of the step and calculate the midpoint.

In Z axis direction it will measure three points to determine the midpoint.

7

Review the measured values on screen and set the desired target values for the offset.

8

A picture containing object, clock Description automatically generated

Press <OK> to set the selected work offset.

A picture containing sitting, indoor, red Description automatically generated How to set an offset using a sphere

Instructions
1 |  | Select the work offset to set.
2 |  | Position the probe directly over sphere center and press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Move probe to automatic measurement location and press <Execute>. Start the monitor macro on the machine. Smooth OMM first finds the sphere by measuring three points all around the top of the sphere. Smooth OMM will then measure the sphere with the amount of points you told it to. On default it measures five points starting at the equator and ending at the top.
5 |  | Review the measured values on screen and set the desired target values for the offset.
6 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

Important:

Note that the start and end angle are at least 20 degree apart.

A picture containing object Description automatically generated How to set an offset using a line

Instructions
1 |  | Select the work offset to set.
2 |  | Select the axis the line should be measured on.
3 |  | Rotate table to work offset zero position and position probe next to first point and press <Read Position>.
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position probe next to second point and press <Read Position>.
5 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM then measures both points and calculates the angle of the line.
6 |  | Review the measured values on screen and set the desired target values for the offset.
7 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset using a plane

NOTE: This function is only available on machines equipped with a trunnion table

Instructions
1 |  | Select the work offset to set.
2 |  | Select measurement method.
3.1 |  | Position probe at first point of grid and press <Read Position>.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5.1 |  | Position probe at second point of grid and press <Read Position>.
3.2 |  | Position probe on first point of imaginary circle.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5.2 |  | Position probe on second point of imaginary circle.
6.1 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM will measure the plane in a square shape with two rows and two points per row by default, starting at the first point.
6.2 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM will measure the plane in a circular shape with five points on the circle.
7 |  | Review the measured values on screen and set the desired target values for the offset.
8 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset using a keyway

NOTE: This function is only available on multitasking machines

Instructions
1 |  | Select the work offset to set.
2 |  | Select axis.
3 |  | Position the probe inside the keyway at center line and press <Read Position>.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5 |  | Position probe for automatic measurement and press the Execute button, then start the monitor macro on the machine. Smooth OMM locates the keyway by taking two points across from each other, by turning the C-axis.
 |  | Next, Smooth OMM measures the same two points of the keyway.
6 |  | Review the measured values on screen and set the desired target values for the offset.
7 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

A close up of a logo Description automatically generated How to set an offset using a key

NOTE: This function is only available on multitasking machines

Instructions
1 |  | Select the work offset to set.
2 |  | Select axis.
3 |  | Rotate key and position the probe next to one side at inspection height and press <Read Position>.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5 |  | Rotate key and position the probe next to the other side at inspection height and press <Read Position>.
6 |  | Position probe at safe height and press the Execute button, then start the monitor macro on the machine. Smooth OMM locates the key by taking one point on each side of the key, by rotating the axis.
 |  | Next, Smooth OMM measures the same two points of the key.
7 |  | Review the measured values on screen and set the desired target values for the offset.
8 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

How to set an offset using a flat

NOTE: This function is only available on multitasking machines

Instructions
1 |  | Select the work offset to set.
2 |  | Select axis.
3 |  | Position probe on top of flat at center line and press <Read Position>.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5 |  | Position probe for automatic measurement and press the Execute button, then start the monitor macro on the machine. Smooth OMM locates the flat by taking two points by rotating the axis and without moving the probe
 |  | Next, Smooth OMM measures the same two points of the flat the same way.
6 |  | Review the measured values on screen and set the desired target values for the offset.
7 | A picture containing object, clock Description automatically generated | Press <OK> to set the selected work offset.

Gaging Programs

Smooth OMM Provides the (optional) ability to create gaging programs with any number of features and evaluations, including feedback of results to the machine. These functions are accessible from the Gaging Program Screen.

How to add the following features to a measurement program… | Availability
Point | All machines
Bore | All machines
Boss | All machines
Inside Corner | All machines
Outside Corner | All machines
Web | All machines
Pocket | All machines
Sphere | All machines
Cylinder (bore) | All machines
Cylinder (boss) | All machines
Cone inside | All machines
Cone outside | All machines
Line | All machines
Plane | All machines
Shaft | Integrex
Keyway | Integrex
Key | Integrex
Flat | Integrex

How to add the following constructions to a measurement program… | Availability
Point | All machines
Circle | All machines
Line | All machines

How to add the following Evaluations to a measurement program… | Availability
Distance | All machines
Angle | All machines
Parallelism | All machines
Perpendicularity | All machines
Concentricity | All machines
Position | All machines
Runout | Integrex
Form (Roundness, Flatness, Straightness, Cylindricity, Sphericity) | All machines

How to make a gaging program

Instructions
1 |  | Press <Work Offset> | A close up of a sign Description automatically generated
2 |  | Select a work offset. |
3 |  | When work offset is selected press <Execute> and start the monitor macro on the machine.
4 |  | Press <Move Rotary Axes>. |
5 |  | Position probe to safe rotary height and turn rotary table to desired angle and press <Read Position>. |
6 | A picture containing object, clock Description automatically generated | Position probe for automatic measurement and press <OK>.
7 |  | Press <Clearance Plane>. | A picture containing object, indoor Description automatically generated
8 |  | Position probe at clearance point location (Clearance Height) and press <Read Position>.
9 | A picture containing object, clock Description automatically generated | Press <OK> to save position.
10 |  | To start measuring press the <Measure> button. |
11 |  | Now select the desired measurement function, which you find in the tab on the bottom of the screen.

Note: On Integrex the spindle must be selected first.

A close up of a sign Description automatically generated How to select spindle

Note: Only required for Integrex with second spindle

Instructions
1 |  | Press <Select Spindle> button | A close up of a sign Description automatically generated
2 | A picture containing object, clock Description automatically generated | Select the active spindle and press <OK> to proceed. |

A picture containing sitting, indoor Description automatically generated A picture containing object, indoor Description automatically generated How to add move commands

There are two different move commands one is the <Move Point> command and the other is the <Clearance Plane> command. The <Move Point> command can be found within a measurement feature screen and in the main measurement screen, as the <Clearance Plane> command is only in the main measurement screen.

Instructions
1 | To add a clearance point you have to press the <Clearance Plane> button and move the probe to the spot you want it to. Then you press read position and the point is saved and is in the measurement routine. | A picture containing object, indoor Description automatically generated
2 | To add a move point, you have to press on the <Move Point> button in the main menu and then move the probe to the desired location and press read position. Inside of feature you have to the probe to the desired location and then press <Move Point> which then reads the point and puts it into the measurement routine. | A picture containing sitting, indoor Description automatically generated

A close up of a computer Description automatically generated How to measure a point

Note: <Learn then Measure> box is active.

Instructions
1 |  | Choose the axis of the point to measure by pressing the <Select Measurement Face> button. This will determine the direction that the probe will move to touch the part.
2 |  | Move the probe away from the point that should be touched, in the direction selected in step 2 above. Press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Click the Execute button, then start the monitor macro on the machine
 |  | Smooth OMM measures the point along the selected machine axis and displays the result.
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure slanted point

Note: <Learn then Measure> box is active.

Instructions
1 |  | Choose the axis of the point to measure by pressing the <Select Measurement Face> button. This will determine the direction that the probe will move to touch the part.
2 |  | Move the probe away from the point that should be touched, in the direction face normal. Press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Click the Execute button, then start the monitor macro on the machine
 |  | Smooth OMM measures the point along the selected machine axis and displays the result.
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing table, furniture Description automatically generated How to measure a bore

When using the measuring function for a bore, the teach-in procedure can be used differently for small bores vs large bores. The function for the small bore works well for bores with a diameter of max. 100mm. (Note, that you may have to change the search distance). On larger bores the measuring function works quicker with reading two points.

How to measure small bore

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe in the center of the bore and press <Read Position>.
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Click the <Execute> button, then start the monitor macro on the machine. Smooth OMM locates the Bore by taking four points along the blue path, (blue positions 1-4) as shown below
 |  | Next, Smooth OMM measures the bore starting from point A along the red path at four points (red positions 1-4) and calculates the measured center of the bore
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure a large-diameter bore

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe in the center of the bore and press <Read Position>
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step
3 |  | Position the probe closer to one side of the bore and press <Read Position>
4 |  | Click the Execute button, then start the monitor macro on the machine. Smooth OMM locates the Bore by taking four points along the blue path, (blue positions 1-4) as shown below
 |  | Next, Smooth OMM moves the probe to point B and measures the bore along the red path at four points (red positions 1-4) and calculates the measured center of the bore
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing table, pool table Description automatically generated How to measure a boss

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe at the side of the boss, at the desired measurement height, then press <Read Position>
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position the probe over the center of the boss, then press <Read Position>. It is important that the point is close to the center otherwise it could lead to a collision.
5 |  | Click the Execute button, then start the monitor macro on the machine. Smooth OMM locates the boss by taking four points around the boss and locates the center of the boss.
 |  | Next, Smooth OMM measures the boss using this center, and calculates the measured center of the boss.
6 |  | Review the measured values on screen and if necessary, adjust the nominal values.
7 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure a shaft

NOTE: This function is only available on multitasking machines

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe next to shaft surface, then press <Read Position>
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe in automatic measurement position and press the execute button, then start the monitor macro on the machine.
 |  | Smooth OMM measures the shaft by turning the axis and measuring three points by default. Through this it calculates the diameter and the coordinates.
4 |  | Review the measured values on screen and if necessary, adjust the nominal values.
5 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure a keyway

NOTE: This function is only available on multitasking machines

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe inside the keyway at center line and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe for automatic measurement and press the Execute button, then start the monitor macro on the machine. Smooth OMM locates the keyway by taking two points across from each other, by turning the axis.
 |  | Next, Smooth OMM measures the same two points of the keyway and calculates the angle on which it is.
4 |  | Review the measured values on screen and if necessary, adjust the nominal values.
5 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A close up of a logo Description automatically generated How to measure a key

NOTE: This function is only available on multitasking machines

Note: <Learn then Measure> box is active.

Instructions
1 |  | Rotate key and position the probe next to one side at inspection height and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Rotate key and position the probe next to the other side at inspection height and press <Read Position>.
4 |  | Press the Execute button, then start the monitor macro on the machine. Smooth OMM locates the key by taking one point on each side of the key, by rotating the axis.
 |  | Next, Smooth OMM measures the same two points of the key and calculates the angle on which it is.
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to set the command to the program.

How to measure a flat

NOTE: This function is only available on multitasking machines

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position probe on top of flat at center line and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe for automatic measurement and press the Execute button, then start the monitor macro on the machine. Smooth OMM locates the flat by taking two points by rotating the axis and without moving the probe
 |  | Next, Smooth OMM measures the same two points of the flat the same way.
4 |  | Review the measured values on screen and if necessary, adjust the nominal values.
5 | A picture containing object, clock Description automatically generated | Press <OK> to set the command to the program.

How to measure an inside corner

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe next to the first point on the first side. (As shown in the diagram) then press <Read Position>
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position the probe next to the second point on the first side. (As shown in the diagram) then press <Read Position>
4 |  | Position the probe next to the first point on the second side. (As shown in the diagram) then press <Read Position>
5 |  | Position the probe next to the second point on the second side. (As shown in the diagram) then press <Read Position>
6 |  | Position the probe at a safe position and press <Execute>. Start the monitor macro on the machine. Smooth OMM locates the inside corner by taking four points starting with the first point on the first side and ending with the second point on the second side. Smooth OMM then measures the four points and calculates the intersection point of the two sides.
7 |  | Review the measured values on screen and if necessary, adjust the nominal values.
8 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure an outside corner

Note: <Learn then Measure> box is active.

Instructions
2 |  | Position the probe next to the first point on the first side. (As shown in the diagram) then press <Read Position>
3 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
4 |  | Position the probe next to the second point on the first side. (As shown in the diagram) then press <Read Position>
5 |  | Position the probe next to the first point on the second side. (As shown in the diagram) then press <Read Position>
6 |  | Position the probe next to the second point on the second side. (As shown in the diagram) then press <Read Position>
7 |  | Position the probe at a safe position and press <Execute>. Start the monitor macro on the machine. Smooth OMM locates the outside corner by taking four points starting with the first point on the first side and ending with the second point on the second side. Smooth OMM then measures the four points and calculates the intersection point of the two sides.
8 |  | Review the measured values on screen and if necessary, adjust the nominal values.
9 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing table, furniture Description automatically generated How to measure a web

Note: <Learn then Measure> box is active.

Instructions

1

Position the probe next to the first point. (As shown in the diagram) then press <Read Position>

2

If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.

3

Position the probe next to the second point on the same side. (As shown in the diagram) then press <Read Position>

4

Position the probe next to the point on the opposite side. (As shown in the diagram) then press <Read Position>

5

Position the probe at a safe position and press <Execute>.

Start the monitor macro on the machine.

Smooth OMM locates the web by taking three points starting with the first point on the first side and ending with the point on the second side.

Smooth OMM then measures the three points in the same order and calculates the width and angle of the web.

6

Review the measured values on screen and if necessary, adjust the nominal values.

7

A picture containing object, clock Description automatically generated

Press <OK> to add the command to the program.

A picture containing red, light, sitting, sky Description automatically generated How to measure a pocket

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe next to the first point. (As shown in the diagram) then press <Read Position>
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position the probe next to the second point on the same side. (As shown in the diagram) then press <Read Position>
4 |  | Position the probe next to the point on the opposite side. (As shown in the diagram) then press <Read Position>
5 |  | Position the probe at a safe position and press <Execute>. Start the monitor macro on the machine. Smooth OMM locates the pocket by using the three points starting with the first “read position” point on the and ending with the last “read position” point on the opposite side. Smooth OMM then measures the three points in the same sequence and calculates the width of the pocket.
6 |  | Review the measured values on screen and if necessary, adjust the nominal values.
7 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure a plane

Note: <Learn then Measure> box is active.

Instructions
1 |  | Select measurement method.
2 |  | Select axis for plane measurement by pressing <Selecting Measurement Face>
3.1 |  | Position probe at first point of grid and press <Read Position>.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5.1 |  | Position probe at second point of grid and press <Read Position>.
3.2 |  | Position probe on first point of imaginary circle.
4 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
5.2 |  | Position probe on second point of imaginary circle.
6.1 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Important: Smooth OMM will measure all four corners of grid! Watch for objects in path. Smooth OMM will measure the plane in a square shape with two rows and two points per row by default, starting at the first point.
6.2 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM will measure the plane in a circular shape with five points on the circle.
7 |  | Review the measured values on screen and if necessary, adjust the nominal values.
8 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing object Description automatically generated How to measure a line

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position probe next to first point and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe next to second point and press <Read Position>.
4 |  | Position probe away from second point (direction work face normal).
5 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM then measures both points and calculates the angle of the line.
6 |  | Review the measured values on screen and if necessary, adjust the nominal values.
7 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing table, furniture Description automatically generated How to measure a cylinder (bore)

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position probe at center of cylinder at top level and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe at center of cylinder at bottom level and press <Read Position>.
(*) |  | In a large cylinder use a second point, at bottom level, which is closer to cylinder wall to make measurement quicker. Then press <Read Position>.
4 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM first finds the cylinder with four points. Then Smooth OMM measures four points on the bottom and top level and calculates the diameter and the angles to the axes.
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A close up of a cake Description automatically generated How measure a cylinder (boss)

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position probe next to point at bottom level of cylinder and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe next to point at top of cylinder and press <Read Position>.
4 |  | Position probe over center of cylinder at safe height and press <Read Position>. Important: Probe has to be close to center if not it could lead to a crash.
5 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM first finds the cylinder with four points. Then Smooth OMM measures four points on the bottom and top level and calculates the diameter and the angles to the axes.
6 |  | Review the measured values on screen and if necessary, adjust the nominal values.
7 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing table, furniture, pool table, poolroom Description automatically generated How to measure a cone inside

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position probe at center cone at bottom level and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe at center of cone at top level and press <Read Position>.
4 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM first finds the cone with four points at bottom and top level. Then Smooth OMM measures four points on the bottom and top level and calculates the diameter and the angles to the axes.
5 |  | Review the measured values on screen and if necessary, adjust the nominal values.
6 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

How to measure a cone outside

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position probe next to point at bottom level and press <Read Position>.
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Position probe next to point at top level and press <Read Position>.
4 |  | Position probe over center of cone at safe height and press <Read Position>.
5 |  | Position probe for automatic measurement and press <Execute>. Start the monitor macro on the machine. Smooth OMM first finds the cone with four points at bottom and top level. Then Smooth OMM measures four points on the bottom and top level and calculates the diameter and the angles to the axes.
6 |  | Review the measured values on screen and if necessary, adjust the nominal values.
7 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

A picture containing sitting, indoor, red Description automatically generated How to measure a sphere

Note: <Learn then Measure> box is active.

Instructions
1 |  | Position the probe directly over sphere center and press <Read Position>
2 |  | If you need to correct the position, press the <Remove Last Position> to cancel the previously read location, then repeat the previous step.
3 |  | Move probe to automatic measurement location and press <Execute>. Start the monitor macro on the machine. Smooth OMM first finds the sphere by measuring four points all around the top of the sphere. Smooth OMM will then measure the Sphere with the amount of points you told it to. On default it measures five points starting at the equator and ending at the top.
4 |  | Review the measured values on screen and if necessary, adjust the nominal values.
5 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

Important:

Note that the start and end angle are at least 20 degrees apart.

How to construct a point

Instructions
1 |  | Select the type of point you want to construct. - Intersection - Midpoint - Projection
2 |  | Select the features to construct the point
3 |  | Once features are selected review the values on screen and if necessary, adjust the nominal values.
4 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

Note: In the top left corner there is an icon which is helpful to see what is selected.

Note: Available features
Point-type features | Line-type features
Bore | Line
Boss | Plane
Corner Inside | Pocket
Corner Outside | Web
Point | Cylinder (Bore)
Sphere | Cylinder (Boss)
Constructed Circle | Cone (Inside)
Constructed Point | Cone (Outside)
 | Constructed Line

How to construct a line

Instructions
1 |  | Select the features to construct the line.
2 |  | Once features are selected review the values on screen, and if necessary, adjust the nominal values.
3 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

Note: In the top left corner there is an icon which is helpful to see what is selected.

Note: Available features

Bore

Boss

Corner Inside

Corner Outside

Point

Sphere

Constructed Circle

Constructed Point

How to construct a circle

Instructions

1

Select the features to construct a circle

2

Use the arrows to select or deselect features.

3

Once features are selected review the values on screen and if necessary, adjust the nominal values.

3

A picture containing object, clock Description automatically generated

Press <OK> to add the command to the program.

Note: In the top left corner there is an icon which is helpful to see what is selected.

Note: Available features

Bore

Boss

Corner Inside

Corner Outside

Point

Sphere

Constructed Circle

Constructed Point

How to evaluate an angle

Instructions
1 |  | Select the type of angle you want to construct.
2 |  | Select the features to construct an angle.
3 |  | Once features are selected review the values on screen and if necessary, adjust the nominal value.
4 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

Note: In the top left corner there is an icon which is helpful to see what is selected.

Note: Available features

Line

Plane

Pocket

Web

Cylinder (Bore)

Cylinder (Boss)

Cone (Inside)

Cone (Outside)

Constructed Line

How to evaluate a distance

Instructions
1 |  | Select the direction you want to evaluate.
2 |  | Select the features to evaluate the distance.
3 |  | Once features are selected review the values on screen and if necessary, adjust the nominal value.
4 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

Note: In the top left corner there is an icon which is helpful to see what is selected.

How to evaluate concentricity

Instructions
1 |  | Select the features to evaluate concentricity.
2 |  | Once features are selected review the values on screen and set the desired target values.
3 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.

Note: In the top left corner there is an icon which is helpful to see what is selected.

A picture containing clipart Description automatically generated How to update a work offset

Instructions
1 |  | Select the features to use to update each axis of the work offset.
2 |  | Select work offset to update.
 |  | Note: It is not recommended to update the same work offset that is being used by the current gaging program. This may lead to unexpected motion when running the program again.
3 |  | Check the update work offset values.
4 | A picture containing object, clock Description automatically generated | Press <OK> to update work offset.

How to write to a variable

Use the Write Variable function to send any measurement value to variables on the controller

Instructions
1 |  | Select the feature with the value you would like to send to the control
2 |  | Select the dimension with the value you would like to send to the control
3 |  | Enter the number of the variable to update on the control
4 | A picture containing object, clock Description automatically generated | Press <OK> insert the command in the program

Note: The feature list contains two additional items that can be used
Number Checked | Number of features measured
Number Out of Spec | Number of features with at least one value out of tolerance

How to update tool offset

It is possible to update tool offset values using measurement results. Both the EIA and Mazatrol tool tables are supported. Compensation is calculated using the deviation of the measurement results from the nominal values entered for the feature.

Instructions
 | Field / Icon | Instructions
1 | Feature List | Select the feature to use to update a tool
2 | Table Type | Enter the Table Type in use for the tool that cut the feature - Choose EIA Table or Mazatrol
3 | Target Turret | Select the Turret where the tool is used
 |  | Note: Only for Integrex with lower turret
4 | Offset Number | Enter the Offset number of the tool used to cut the feature
5 | Target Tool | Select the target tool from the list – See additional notes below
 |  | Note: Only used with Mazatrol table type
6 | Target Compensation | Select the value to compensate – See additional notes below
7 | Diameter | Select this if the compensation is diametric (tools are defined by diameter, not radius)
8 | +/- | Review the compensation values, if necessary, adjust the sign using the +/- checkbox
5 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.
 |  | Note: This will update the tool data. Previous data will be overwritten.

Additional Notes

1

If an unsupported tool is selected, the message “Convert Error” will be displayed

2

It is not possible to set the tool offsets of the probe. If you select the tool number of the probe used in the current gaging program, a warning message will be displayed

3

Target Tool type is shown in the list as follows:

<Tool Name> + <Part Type> + <Nominal> + <Suffix>

Where:

Tool Name – Name

Part Type – See chart:

Part Types
Name | Value | Description
OUT | 1 | Outer diameter
IN | 2 | Inner diameter
EDGE | 3 | Face end
IN_BACK | 4 | Inner diameter (back)
EDGE_BACK | 5 | Face end (back)

Nominal – Nominal value

Suffix – One character: “A, B, C, D, E, F, G, H, J, K, L, M, N, P, Q, R, S, T, U, V, W, X, Y, or Z”

4

Tool compensation type is dependent on the selected table type (EIA or Mazatrol):

EIA Types are as follows:

Mazatrol types depend also on the Tool Name as follows:

Note: When using a tool on the lower turret (Integrex only) then the following applies:

5

The diameter checkbox is only available for the following tool compensation types:

EIA Table Type
Offset Type | Compensation Type | Diameter Checkbox Available
A | None | YES
B | Tool Length Geometry / Wear | NO
B | Tool Radius Geometry / Wear | YES
C | Geometric Offset X/Y/Z/Nose-R Wear X/Y/Z/Nose-R | YES
D | Geometric Offset X/Y/Z | YES

Mazatrol table type
Compensation Type | Diameter Checkbox Available
Length / Length A /B | NO
Act-Ø Wear Comp X/Y/Z | YES
Tool Set X/Z | No

A drawing of a cartoon character Description automatically generated How to set coordinate rotation

Smooth OMM can be used to set the values used for a G68 or G68.2 rotation. This function will use the measured values specified in the command and send them to variables on the control. A macro is provided for simple activation of the G68 or G68.2 on the control.

Note: Only for machines with G68 or G68.2 option

Instructions
1 |  | Select the working plane for the coordinate rotation - Choose XY, YZ, or ZX - This will be the plane in which the coordinsystem is rotated
2 |  | Select the features to set the center of rotation
3 |  | Select a feature to set the rotation angle
4 |  | Review the measured values on screen, and set the desired target values for the offset
5 | A picture containing object, clock Description automatically generated | Press <OK> to add the command to the program.
 |  | Note: The G68 or G68.2 will not be activated! You must use the macro provided with Smooth OMM. See additional notes below.

Note: Available features
Point-type features (for X, Y or Z center) | Line-type features (for R)
Bore | Line
Boss | Plane
Corner Inside | Pocket
Corner Outside | Web
Point | Cylinder (Bore)
Sphere | Cylinder (Boss)
Constructed Circle | Cone (Inside)
Constructed Point | Cone (Outside)
 | Constructed Line

Additional Notes
1 | It is not possible to measure with G68 or G68.2 active. Therefore, Smooth OMM will always disable G68 and G68.2 when running its macros
2 | To activate the G68 or G68.2 coordinate rotation on the control, use the macro supplied with Smooth OMM. - Macro number is the Smooth OMM teach-in macro number +2 (ex. If the Smooth OMM teach-in

How to save a measurement program

Instructions
1 |  | Leave measurement feature by pressing <Go Backward>
2 |  | Open the file manager by pressing the <File Manager> button.
3 |  | Enter a program name.
4 | A picture containing object, clock Description automatically generated | Press save current measuring routine.

How to call a gaging program from an NC program

Gaging programs can be called automatically from NC programs so that automatic measurement and feedback to cutting programs can be accomplished. The instructions below describe how to use a gaging program in an NC program:

Instructions
1 | Save the gaging program with a numeric name. - The name must only contain numbers - Value between 1 and 9999
2 | Return to the home screen
3 | Add the necessary lines to the NC program to load and the probe
4 | Add a line like the following to the NC program after the lines that load the probe: G54 P7001 H1234 - The subprogram number “7001” may not be the same on your machine. This number can be determined from the teach-in macro number from Smooth OMM + 1. (ie if you use O7000 when operating Smooth OMM for teach-in, then the automatic mode macro number is 7001) - “1234” should be replaced with the number used to save the gaging program in step 1
5 | Start the NC Program on the control
6 | When the program line from step 4 is executed, the Smooth OMM home screen will display a stop button, show the gaging program and report the results while executing.

Errors

If an error occurs during automatic measurement (for instance, probe collision or point not found) press the Stop button on the home screen. This will cancel the execution. If the machine tool is not able to initialize the probe, NC Gage returns you to the cutting macro.

Smooth OMM home screen

When Smooth OMM starts, the home screen is displayed.

The home screen is the main menu and when the home screen is displayed, Smooth OMM is ready to execute gaging programs in automatic mode.

Overview

Screen

Smooth OMM home screen

Screen Layout
 |  | Application Controls
Function Menu | Counter Display | Active Gaging Program Display
 | Report and Trend Display
Information Messages |  | Status Icons

Items on this screen
Screen Area | Description
Application Controls | Buttons for the following functions: · Navigate to home screen · Open Setup screen · Help · Minimize window · Close Smooth OMM These functions are visible on all screens in the application.
Function Menu | Menu of functions in Smooth OMM. Functions are greyed-out if they are not licensed. Functions are partially greyed-out if they licensed, but otherwise unavailable.
Counter Display | Shows the current position of the machine.
Active Gaging Program Display | Shows the current gaging program.
Report and Trend Display | Shows the last measurement report, and the last trend report for the active gaging program
Information Messages | Displays information messages
Status Icons | Displays status information for: · Connection to API · Probe Calibration · Rotary Axis Calibration (Head, Tables, Main/Sub Spindle)

Functions

The available functions depend on the type of machine and rotary axes.

Functions on the menu
Function | Description | Availability
Calibration | Calibrate Probe and Rotary Axes | All machines
Set Offset | Set Work Offsets | All machines
Measurement | Create Gaging Programs | Optional (120 Day Trial)
Reports | View a Gaging Program Report | All machines
Trends | View and Create Trend Reports | All machines

Application controls

The following application controls are available on all screens.

Home | Return to home screen
Setup | Open setup screen
Help | Open help documentation
Minimize | Minimize window
Exit | Exit Smooth OMM

Calibration

The calibration screen provides functions to manage and calibrate probes in Smooth OMM.

Additionally, rotary axis calibration functions are available from this screen.

Navigate to the calibration screen by pressing <Calibration> on the home screen.

Screen

Calibration screen

Screen Layout
 |  | Application Controls
Available Probes | Selected probe Information | Active Gaging Program
Probe Calibration Information | User Instructions
Information Messages
Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Available Probes | List of all probes defined in Smooth OMM
Selected Probe Information | Displays details of the currently selected probe
User Instructions | Shows user defined instructions for the selected probe
Active Gaging Program Display | Shows the current gaging program.
Probe Calibration Information | Shows the most recent calibration data for the active probe
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen.

Functions

Functions on the menu
Function | Description | Availability
Select Probe | Select a probe from the menu | All machines
Calibrate on Sphere | Probe calibration with sphere | All machines
Calibrate on Ring | Probe calibration with ring | All machines
Set Probe Length | Probe length gets set for calibration | All machines
Calibrate Rotary Table | Rotary table calibration | Rotary table machine
Calibrate Rotary Head | Rotary head calibration | Swiveling head machines

Calibration values test screen

Select probe screen

Calibration Report Screen

Screen

Calibration Report Screen

Application Controls

Calibration Report

Information Messages

Function Menu

Application Control | Application functions common to all screens
Calibration Report | Shows calibration result and every point measured, including a list of all compensation values. The graphic displays the relative size of the point deviations by using different sized circles and colors: Brown – Negative deviation Blue – Positive deviations
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen.

Functions on the menu
Function | Description
Save Report | Save the report to the data center
Print Report | Print the report on the default printer

Set offset

Smooth OMM provides the ability to set work offsets using a simple teach-in process. These functions are accessible from the set offset screen.

Overview

Screen

Set offset screen

Screen Layout
 |  | Application Controls
Function Menu | Parameters and data associated with the selected function · Work Offset to update · Measured and Target Data · Measurement Axis information · Measurement type · Settings | Counter Display Spindle Selection on machines with second spindle
Information Messages
Control Button Menu

Functions

The available functions depend on the type of machine and rotary axes.

Functions on the menu
Function | Description | Availability
Point | Sets one axis offset along a machine axis | All machines
Bore | Sets two axes in a bore | All machines
Boss | Sets two axes using a boss | All machines
Inside Corner | Sets two axes at the intersection inside a corner | All machines
Outside Corner | Sets two axes at the intersection outside a corner | All machines
Midpoint | Sets one axis at a midpoint between two surfaces | All machines
Sphere | Sets three axes at the center of a sphere | All machines
Line | Sets a rotary axis to the angle of a line | Rotary Table
Plane | Sets two rotary axes orthogonal to a plane | Trunnion Table
Keyway | Sets a lathe spindle to the angle of a keyway | Integrex
Key | Sets a lathe spindle to the angle of a key | Integrex
Flat | Sets a lathe spindle orthogonal to a flat | Integrex

Control buttons

The menu bar at the bottom of the screen display several buttons that control the teach-in and execution of the selected function

Name | Description
<Read position> | Reads the current position of the probe during the teach-in process
<Delete last position> | Deletes the last read-in position (from pressing <Read Position>). This can be used to correct an error during teach-in.
<Execute> | Starts the CNC Teach-in and measurement.
<OK> | Accepts the measured values and sets the selected work offset on the control according to the measured values and desired target values
<Cancel> | Cancels the current function
<Return> | Returns to the previous menu

Settings

Many Set Work Offset functions have advanced settings associated with them. These settings can be accessed by pressing the <Settings> item in the display

Setting | Description
Prehit Distance | The distance before reaching a touch point, that the probe will be slowed from moving speed to touching speed. This is also the distance that the probe will search for point during measurement.
Search Distance | The maximum distance that the probe will move to search for a point during teach-in

Measured & Target values

The measured and target values area of the set work offset functions allow you to see the measurement results and enter the target value for the offset being set. The target value allows you to modify the offset so that the measured feature is located at the value you specified in the target position.

For instance, if you measure a bore, and would like the bore to be located at -100, 200 in the new work offset. In this case you would enter the target values X= -100, and Y=200 and set the offset.

A picture containing clipart Description automatically generated Gaging program screen

The gaging program screen is an optional package for Smooth OMM, providing tools to create gaging programs.

Gaging programs can be created using any amount of measurement features, constructions and evaluations.

Additionally, gaging functions can be used to update offsets, tools and variables.

Gaging programs can be recalled in automatic mode for use inside cutting programs.

The Gaging Program screen is accessed by pressing <Measurement> on the home screen

Overview

Screen

Gaging program screen

Screen Layout
 |  | Application Controls
Counter Display | Selected Program Item Information | Active Gaging Program
Report
Information Messages
Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Counter Display | Machine position display
Program Item Information | Information about the currently selected program item
Active Gaging Program Display | Shows the current gaging program.
Report | Shows the report for measurements made in the gaging program
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen.

Control buttons

The menu bar at the bottom of the screen display several buttons that control the teach-in and execution of the selected function

Name | Description
<Block Execute> | Executes a single line in the gaging program
<Execute from cursor> | Executes a gaging program starting at the current cursor position
<Execute> | Executes the entire gaging program
<Stop> | Active during execution. Stops the execution of a running gaging program
<Measurement> | Cancels the current function
<Edit> | Returns to the previous menu
<File Manager> | New, Open, Save programs

Tolerance reporting screen

Overview

Every measurement function allows setting individual tolerances and selecting which characteristics should be shown on the report.

Screen

Tolerance chart screen

 |  | Application Controls
Current Unit | ISO Tolerance Table | Select from User Tolerance Chart
Edit Tolerance Table and Tolerances
Information Messages
Control Button Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Current Unit | Displays unit which is used
ISO Tolerance Chart | Allows selecting an ISO tolerance (ex. H7)
Select from User Tolerance Chart | Can load user-defined tolerance values
Edit Tolerance Table | Ability to edit tolerances, which axes get shown after measurement and ability to edit nominal values. Use the checkbox next to each characteristic name to show / hide it on the report
Information Messages | User instructions, messages, and information
Control Button Menu | Shows the functions available from the current screen.

Options in set offset

Overview

Screen

Options in set offset

Description of options

Prehit Distance | Distance where machine slows down to touch point
Search Distance | How many levels/ rows are measured on a feature defines how far the probe moves to find an object until it stops and gives an error message
Hit Clearance Plane | Moves to safe position between every point
Additional options in other measurement screens
Number of Points/ per Level/ per Row | How many points are taken/ taken on each level/ on each row
Upper Level Angle | Defines the upper level angle of measurement for a sphere
Lower Level Angle | Defines the lower level angle of measurement for a sphere

Options in measurement

Screen

Features in measurement

Description of options

Number of Points/ per Level/ per Row | How many points are taken/ taken on each level/ on each row
Number of Levels/ Rows | How many levels/ rows are measured on a feature
Start Angle | Defines where the measurement starts
End Angle | Defines where the measurement ends
Hit Clearance Plane | Moves to safe position between every point
Learn then Measure | Feature gets taught and measured automatically after each other
Learn Using Values on Screen | Manually teaching in a feature for direct measurement
Reporting Distance |
Prehit Distance | Distance where machine slows down to touch point
Additional options in other measurement screens
Search Distance | Defines how far the probe moves to find an object until it stops and gives an error message
Measurement Height | The height a feature is measured at
Upper Level Angle | Defines the upper level angle of measurement for a sphere
Lower Level Angle | Defines the lower level angle of measurement for a sphere

Edit screen

Overview

The edit screen allows you to edit a gaging program.

- Cut/copy/paste and delete items in the program.

- Edit individual items in the program to change their settings

Screen

Edit measurement routine screen

 |  |  | Application Controls
Counter Display |  | Feature Information | Active Gaging Program
Copied Commands
Information Messages
Function Menu
Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Counter Display | Machine position display
Feature Information | Information about the currently selected program item
Active Gaging Program | Shows the current gaging program.
Copied Commands | Shows copied commands.
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen.

Control buttons

The menu bar at the bottom of the screen display several buttons that control the edit functions

Name | Description
<Cursor Mode Toggle> | Switches between multi-select and single-item select mode
<Clear Select> | Clears the current selection
<Move Up> | Select item cursor moves up in gaging program
<Move Down> | Select item cursor moves down in gaging program
<Cut> | Cuts the selected items from the gaging program
<Copy> | Copies the selected items from the gaging program
<Paste> | Paste copied items in desired location within gaging program
<Edit> | Opens screen for selected item. Changes to item can then be made.
<Delete> | Deletes selected item from gaging program

File manager screen

Overview

Screen

File manager screen

Application Controls

Saved gaging program files

Creating new file (name and comment)

Information Messages

Function menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Saved gaging program files | Shows all saved programs by name and creation date
Creating new file | New gaging program or changes to a program can be saved as a new file with a comment
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen.

Function menu

Name | Description
<New Measurement Routine> | New gaging program can be created
<Load Selected Measurement Routine > | Selected file gets opened
<Save Current Measurement Routine > | Created gaging program gets saved
<Sort Name> | Sorts saved gaging program files by name
<Sort Comment> | Sorts saved gaging program files by comment
<Sort Date> | Sorts saved gaging program files by date
<Delete Selected Measurement Routine> | Selected measurement routine gets deleted

Report screen

The report screen is used to view the report from the last gaging program which was run.

navigate to this screen from the home screen by pressing <Report>.

The <Report> button is only active after a gaging program has run in automatic mode

Screen

Report screen

Screen Layout

Application Controls

Information Messages

Report

Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Report | Displays the entire measurement report
Function Menu | Shows the functions available from the current screen.

Function menu

The menu bar at the bottom of the screen display several buttons that are used with this screen

Icon | Name | Description
 | <Save> | Saves the report
 | <Print> | Prints the report to the default printer
 | <In/mm> | Executes the entire gaging program
 | <Save for statistics> | Active during execution. Stops the execution of a running gaging program
 | <Page Up> | Cancels the current function
 | <Page Down> | Returns to the previous menu

A picture containing object Description automatically generated Trend screen

Screen

Trend screen

Screen Layout
 |  |  | Application Controls
Measurement Program List
Feature List | Chart Display
 | Characteristic Data
Information Messages
Control Button Menu
Items on this screen
Screen Area |  | Description
Application Controls |  | Application functions common to all screens
Measurement Program List |  | List of available programs with measurement data
Feature List |  | All features in selected program
Chart Display |  | Trend Chart (individual values chart) for all characteristics of selected feature
Characteristic Data |  | Available characteristics for selected feature, including nominal, average, last measured, tolerance and warning limit values
Information Messages |  | User instructions, messages, and information
Control Button Menu |  | Shows the functions available from the current screen.

Setup screen

Overview

Screen

Gaging program screen

Screen Layout

Application Controls

Settings

Information Messages

Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Settings | General application settings
Information Messages | User instructions, messages, and information
Function Menu | Additional application settings

Function menu

The menu bar at the bottom of the screen displays several buttons to access more application settings:

Setting | Description
<User Tolerances> | Define common user tolerances for use in gaging programs
<Work face setup> | Configure the machine axis orientation
<Counter display> | Choose which values appear on the display
<System> | Configure window and shutdown behavior
<Password> | Apply a password to settings
<Backup / Restore> | Backup / Restore data
<Licensing> | Activate a license
<Information> | View the activity log (On second page of menu)

Settings

The following settings are available on the settings screen:

Name

Description

Unit

Displays Inch / mm for information only. This is configured in the Config Tool

Language

Selects the display language

Feed Rates

Displays / Sets the following speeds:

- Traverse: Speed travelling between measurement points

- Finding (Display only): Speed during CNC teach-in

- Rotation: Rotary axis speed

Probing Distance

Sets distances for probing and searching:

- Prehit: Distance before the nominal probing point location to slow to probing speed and begin trying to measure a point

- Finding: Maximum search distance when attempting to measure a point during CNC Teach-in

Tolerance

Default +/- tolerances for the report

Snap Decimal Accuracy

Sets the number of decimal places on the report and the rounding of nominal values during teach-in

- Dimension Snap Value: Defines how nominal dimensions are created during teach-in

- Angle Snap Value: Defines how nominal angles are created during teach-in

- Decimal places: Specifies the number of decimal places displayed.

Note: Snap Values specify how many digits to round a value to, and the nearest multiple of a value.

Example: Snap Value = 0.03 – Specifies two decimal place rounding, using multiples of 3. A measured value of 0.068 would first round to 0.07 (rounding to 2 decimal places), then to 0.06 because 6 is the closest multiple of 3.

Report Save Option

Specifies how measuring reports are saved

Saved Path

Specifies the directory where measurement reports will be saved

Auto Save

When checked, reports will be saved automatically when a gaging program is executed

Overwrite /Timestamp

Determines if reports will be overwritten, or saved with a timestamp when a gaging program is executed

Note: Auto save must be checked

Statistic Save Option

Specifies how statistics data is saved

Saved Path

Specifies the directory where measurement reports will be saved

Auto Save

When checked, statistic data will be saved automatically when a gaging program is executed

Overwrite/ Timestamp

Determines if reports will be overwritten, or saved with a timestamp when a gaging program is executed

Note: Auto save must be checked

XML / CSV

Sets the output format to XML or CSV

Additional Information:

Timestamp Filename Format

XML option selected:

D-<yyyy><MM><dd><hh><mm><ss>.xml

CSV option selected:

D-<yyyy><MM><dd><hh><mm><ss>.csv

where:

<yyyy> - Four-digit year, based on your computer system's date

<MM> - Two-digit month, based on your computer system's date

<dd> - Two-digit day, based on your computer system's date

<hh> - Two digits of the hour (24-hour time) that the statistics are saved, based on your computer system's time

<mm> - Two digits of the minute that the statistics are saved, based on your computer system's time

<ss> - Two digits of the second that the statistics are saved, based on your computer system's time

Note that the 24-hour time stamp notation for the file name indicates the time at which the statistics were saved (not the time at which the measurement routine executed). Therefore, if you continuously save the same set of statistics, each set will have a different file name.

Define user tolerance chart screen

Overview

The user tolerance chart screen allows you to define standard tolerances which are often used. These can then be selected easily when creating a gaging program.

Screen

User tolerance chart screen

Application Controls

Tolerance Definition Chart

Information Messages

Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Tolerance definition chart | Define commonly used tolerances here which can be used in a gaging program
Information Messages | User instructions, messages, and information

Setup work face orientation screen

Overview

The work face setup screen defines the axis orientation of the machine, and controls how the workface selection button is used with functions such as set work offset with point and measure point.

Screen

Work face orientation screen

Application Controls

Work Face Setup

Information Messages

Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Work Face Setup | Use this area to define the orientation of the machine axes. See details below.
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen

Additional Notes
Machine Type | Typical settings | Axis Orientation
Vertical Machining Center | 1 = Z+ 2 = X+ 3 = Y- |
Horizontal Machining Center | 1 = Y+ 2 = X- 3 = Z+ |
Multi-tasking Machine | 1 = X+ 2 = Y+ 3 = Z+ |
 | Note that when measuring with a mutlitasking machine, workface orientation rotates with the B-Axis position so that the Z+ work axis is aligned with the probe axis as in the diagram below:

Counter display setup

Screen

Counter Display Setup Screen

 | Application Controls
Counter Layout | Machine Settings
Information Messages
Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Counter Layout |
Machine Settings |
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen

A picture containing screenshot Description automatically generated System setup screen

Overview

The system setup screen allows control over the window functions and what happens when the user exits the software.

Screen

System setup screen

 | Application Controls
Screen Setup
Exit Behaviour |
Information Messages
Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Screen Setup | Determines what you allow doing with Smooth OMM screen. It can be allowed to reposition, resize and minimize by checking the boxes
Exit Behaviour | Determines what happens when exiting the software. - Exit only - Log off current user - Shutdown system - Execute a custom program
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen

A picture containing metalware, lock Description automatically generated Password setup screen

Overview

The password setup screen allows you to set a password to protect access to the settings.

Screen

Password setup screen

Application Controls

Password Activation

Information Messages

Function Menu

Items on this screen
Screen Area | Description
Application Control | Application functions common to all screens
Password Activation | Select “Password protection disabled” or “Password protection to change setup values” If setting a password, you will need to enter a password, and verify the password by entering it a second time.
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen

Data backup screen

Overview

The data backup screen allows you to backup and restore measurement data, calibration data and the macros.

Screen

Data backup screen

Application Controls

Local

Action

Information Messages

Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Local | Select the data be saved
Action | Select back up to save data to device or select restore to load data into Smooth OMM
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen

Register license screen

Overview

The register license screen is used to enter a license to activate options.

Screen

Register screen

 | Application Controls
Machine Serial Number | License Information
License Key
Information Messages
Function Menu

Items on this screen
Screen Area | Description
Application Controls | Application functions common to all screens
Machine Serial Number | Shows machine serial number
License Information | Displays information about the license key entered
License Key | Enter the license key here to activate options
Information Messages | User instructions, messages, and information
Function Menu | Shows the functions available from the current screen

Information manager screen

Overview

The information manager screen displays a log of information about the current session.

Screen

Information manager screen

Application Controls

Software Version and Machine Status

Control Button Menu

Measurement functions

Functions

The available functions depend on the type of machine and rotary axes.

Functions on the menu
Function | Description | Availability
Select Work Offset | Selects the work offset to be used in a gaging program | All Machines
Move Rotary Axes | Moves the probe to a safe position, then rotates the rotary axes to a new position | All Machines
Set Clearance Plane | Defines a safe height for moves between features | All Machines
Set Clearance Move | Defines a point in the clearance plane to move to | All Machines
Point | Measure a point | All Machines
Bore | Measure a bore | All Machines
Boss | Measure a boss | All Machines
Inside Corner | Measure an inside corner to find the intersection point | All Machines
Outside Corner | Measure an outside corner to find the intersection point | All Machines
Sphere | Measure a sphere | All Machines
Line | Measure a line | All Machines
Plane | Measure a plane | All Machines
Shaft | Measure a shaft, with or without rotating it | Integrex
Keyway | Measure the angle of a keyway | Integrex
Key | Measure the angle of a key | Integrex
Flat | Measure the angle of a flat | Integrex
Construct Point | Find an intersection point, projected point, or midpoint of two features | All Machines
Construct Line | Construct a line from two features | All Machines
Construct Circle | Construct a circle through several features | All Machines
Distance | Find the distance between two features | All Machines
Angle | Find the angle between two features | All Machines
Concentricity | Evaluate the concentricity of two circular features | All Machines
Write Variable | Write a measurement result to a controller variable | All Machines
Update Work Offset | Update a work offset using any combination of features | All Machines
Update Tool | Update a tool offset from measurement results | All Machines

Vectors (I, J, K) in Smooth OMM

Vectors are used several different areas of Smooth OMM, so it is important to understand how they are input and what they mean.

When a function in Smooth OMM requires a vector, or displays vector information it is usually represented by the values I, J and K.

These are the components in X, Y and Z of a unit vector.

A unit vector describes how to move exactly 1 unit (mm or Inch) along a specific direction (vector) in space.

To understand this better, let’s look at this in 2D first:

2D Example of a vector

The red arrow is a vector, it has length = 1.

It describes a direction in the XY Plane that is 45 degrees away from the X axis.

This can be described by the length of the vector in X and Y.

These distances are called I, and J

In this example I = 0.7071 and J = 0.7071

Similarly, in 3D, I, J, and K are the lengths in X, Y and Z respectively.

Common vector values in 3D

Common vector values in 3D
 | I | J | K |
 | 0 | 0 | 1 | Z+ direction
 | 1 | 0 | 0 | X+ direction
 | 0 | 1 | 0 | Y+ direction
 | 0 | 0 | -1 | Z- direction
 | -1 | 0 | 0 | X- direction
 | 0 | -1 | 0 | Y- direction
 | 0.7071 | 0.7071 | 0 | 45 degrees from X in XY plane
 | 0.7071 | -0.7071 | 0 | -45 degrees from X in XY plane
 | -0.7071 | 0.7071 | 0 | 45 degrees from Y in XY plane
 | -0.7071 | -0.7071 | 0 | 225 degrees from X in XY plane
 | 0.7071 | 0 | 0.7071 | 45 degrees from Z in ZX plane
 | 0.7071 | 0 | -0.7071 | 45 degrees from X in ZX plane
 | -0.7071 | 0 | 0.7071 | -45 degrees from Z in ZX plane
 | -0.7071 | 0 | -0.7071 | 225 degrees from Z in ZX plane
 | 0 | 0.7071 | 0.7071 | 45 degrees from Y in YZ plane
 | 0 | 0.7071 | -0.7071 | -45 degrees from Y in YZ plane
 | 0 | -0.7071 | 0.7071 | 45 degrees from Z in YZ plane
 | 0 | -0.7071 | -0.7071 | 225 degrees from Y in YZ plane
 | 0.5774 | 0.5774 | 0.5774 | 45 degrees in all axes, each in positive direction
 | 0.5774 | 0.5774 | -0.5774 | 45 degrees in all axes, X, Y positive direction, Z minus direction
 | 0.5774 | -0.5774 | 0.5774 | 45 degrees in all axes, X, Z positive direction, y minus direction
 | 0.5774 | -0.5774 | -0.5774 | 45 degrees in all axes, X positive direction, Y, Z minus direction
 | -0.5774 | 0.5774 | 0.5774 | 45 degrees in all axes, Z, Y positive direction, X minus direction
 | -0.5774 | 0.5774 | -0.5774 | 45 degrees in all axes, Y positive direction, X, Z minus direction
 | -0.5774 | -0.5774 | 0.5774 | 45 degrees in all axes, Z positive direction, X, Y minus direction
 | -0.5774 | -0.5774 | -0.5774 | 45 degrees in all axes, X, Y and Z minus direction

Icons used in Smooth OMM

Main screen icons

Smooth OMM main function icons
A close up of a sign Description automatically generated | Calibration - Access functions for probe calibration and rotary axis calibration
 | Set Offset - Access functions for setting work offsets
A picture containing clipart Description automatically generated | Gaging Program - Access functions for creating, and editing gaging programs - These functions are an option
 | Report - View, print and save the last measurement report - These functions are part of the Gaging Program option
A picture containing object Description automatically generated | Trend - Access functions for reporting trends in measurements - These functions are part of the Gaging Program option

Application bar icons

Application bar icons
Return to Home Screen | Open Settings Screen | Help | Minimize | Close

Status icons

Error Icon | Success Icon | Meaning
 |  | Connection to API
 |  | Error: No connection to API/ Machine. Check IP Address, Port and API Security settings/Passwords
A close up of a logo Description automatically generated | A close up of a logo Description automatically generated | Probe Calibrated
 |  | Error: Probe has not been calibrated. Calibrate the probe on a sphere or a ring and save the calibration data
 | A close up of a logo Description automatically generated | Upper table calibrated
 |  | Error: Upper rotary table has not been calibrated. Calibrate the upper table and save the calibration data
 |  | NOTE: For 4+ axis machines with rotary table(s)
A close up of a logo Description automatically generated |  | Lower table calibrated
 |  | Error: Lower rotary table has not been calibrated. Calibrate the lower table and save the calibration data
 |  | NOTE: For 5-axis machines with trunnion table
 |  | Both lathe spindles calibrated
 |  | Error: No spindles are calibrated. Calibrate at least 1 spindle
 |  | NOTE: For Integrex machines
 |  | First spindle calibrated
 |  | Error: First spindle not calibrated. Calibrate first spindle
 |  | NOTE: For Integrex machines
 |  | Second spindle calibrated
 |  | Error: Second spindle not calibrated. Calibrate second spindle
 |  | NOTE: For Integrex machines
A close up of a logo Description automatically generated | A picture containing object Description automatically generated | Rotating head calibrated
 |  | Error: Swiveling head not calibrated. Calibrate swiveling head
 |  | NOTE: For machines with swiveling head

Set offset icons

Smooth OMM set offset functions
A close up of a computer Description automatically generated | A picture containing table, furniture Description automatically generated | A picture containing table, pool table Description automatically generated |  |
Point | Bore | Boss | Inside Corner | Outside Corner
 | A picture containing sitting, indoor, red Description automatically generated | A picture containing object Description automatically generated |  |
Midpoint | Sphere | Line | Plane |

Set offset functions: Integrex only
 |  | A close up of a logo Description automatically generated |  |
First Spindle | Second Spindle | Key | Keyway | Flat

Measurement menu icons

Measurement functions
A close up of a computer Description automatically generated | A picture containing table, furniture Description automatically generated | A picture containing table, pool table Description automatically generated |  |
Point | Bore | Boss | Inside Corner | Outside Corner
A picture containing object Description automatically generated | A picture containing red, light, sitting, sky Description automatically generated | A picture containing table, furniture Description automatically generated |  | A picture containing sitting, indoor, red Description automatically generated
Line | Pocket | Web | Plane | Sphere
A close up of a cake Description automatically generated | A picture containing table, furniture Description automatically generated |  | A picture containing table, furniture, pool table, poolroom Description automatically generated |
External Cylinder | Internal Cylinder | External Cone | Internal Cone |

Measurement functions: Integrex only
 |  | A close up of a logo Description automatically generated |
Shaft | Keyway | Key | Flat

Constructions
Point | Line | Circle

Calculations
Distance | Angle | Parallelism | Perpendicularity | Concentricity

Movement
 | A picture containing object, indoor Description automatically generated | A picture containing sitting, indoor Description automatically generated | A close up of a sign Description automatically generated
Move Rotary Axes | Clearance Plane | Move to Point | Select Work Offset

Update / Feedback
A picture containing clipart Description automatically generated |  |  | A drawing of a cartoon character Description automatically generated
Update Work Offset | Write Variable | Update Tool Offset | Set G68 Rotation

Gaging program menu items

Program Control
A picture containing clipart Description automatically generated | A picture containing clipart Description automatically generated |  |
Execute single line | Execute from cursor to end | Execute entire program | Stop execution

Functions
Measurement | Program Manager | Edit Program

Calibration menu items

Probe calibration
 | A drawing of a cartoon character Description automatically generated |  |
Select Probe | Set Probe Length | Calibrate on ring | Calibrate on sphere

Rotary axis calibration
A red and white cake Description automatically generated |  |
Calibrate Rotary Table / Spindle | Calibrate swiveling head | Write axis data to control variables

Calibration functions
 |  |  |  | A picture containing object Description automatically generated
Find Sphere | Set Clearance Height | Add a wrist angle | Find Sphere | Add wrist angles
A close up of a logo Description automatically generated |  | A close up of a sign Description automatically generated |  |
Select Wrist Angles | Find Ring | Select Spindle |  |

Settings menu items

Settings
 |  |  | A picture containing metalware, lock Description automatically generated |
Set up Machine Axis Orientation | Counter display settings | Information manager | Set Password for Settings | License Manager

Settings
A picture containing screenshot Description automatically generated |  |
Window controls | Define user tolerance tables | Back-up and restore data

File manager icons

File manager functions
A close up of a logo Description automatically generated |  | A screenshot of a computer Description automatically generated |  |
New | Open | Save | Sort Names | Sort Spindles
 |  |  |  | Integrex Only
A picture containing clipart Description automatically generated |  |  |  |
Sort Comments | Sort Dates | Delete |  |

Report screen icons

Report functions
A screenshot of a computer Description automatically generated | A close up of a device Description automatically generated |  |  | A picture containing building Description automatically generated
Save | Print | Inch/mm | Page Down | Page Up
Save Statistics |  |  |  |

Edit screen icons

Settings
A close up of a logo Description automatically generated | A picture containing building Description automatically generated |  |  |
Save | Print | Inch/mm | Edit | Delete
A close up of a sign Description automatically generated | A picture containing object Description automatically generated |  |  |
Cursor Up | Cursor Down | Multi-Select | Deselect |

Teach-in controls

Teach-in functions
 | Remove last point | Removes the last point that was read-in during teach-in.
 | Read point | Reads-in the current location of the probe during teach-in
 | Execute CNC teach-in | Executes CNC-controlled teach-in after the manual teach-in process is complete
A picture containing object, clock Description automatically generated | OK | Accepts a feature and adds it to the gaging program after CNC Teach-in is complete
A picture containing clipart Description automatically generated | Cancel | Cancels the current feature teach-in process
A picture containing clipart Description automatically generated | Execute Measure | Executes the current feature using all measurement parameters (Clearance plane, Number of points etc., and records the result on the report)

Navigation icons

Teach-in functions
 | Back one menu level | Navigates back from the current feature or menu to the previous one. If in a measurement feature, this will cancel the feature and not add it to the program
 | Minimize | Minimizes the window
A close up of a logo Description automatically generated | Next page | Displays additional commands available for the current feature or menu. Pressing this repeatedly will cycle through the available commands.

Work plane selection icons

For 3, 4 and 5 axis machines (no rotating head)

Work plane selection
For 3, 4 and 5 axis machines with rotary tables (no rotating head axis)
 | Top | Top of the part as seen from the front of the machine
A picture containing building Description automatically generated | Left | Left side of the part as seen from the front of the machine
 | Right | Right side of the part as seen from the front of the machine
A close up of a sign Description automatically generated | Front | Front side of the part as seen from the front of the machine
A close up of a sign Description automatically generated | Rear | Rear side of the part as seen from the front of the machine
A close up of a sign Description automatically generated | Bottom | Bottom side of the part as seen from the front of the machine
A picture containing object Description automatically generated | Diagonal | Used for points measured at an angle to the standard work planes

For machines with rotating head

For machines with a rotating head
Note: On machines with a rotating head, the cube is viewed from the Probe axis, and is dependent on the head axis angle.
 | Top | Top of the part as seen from the probe axis (along the probe axis)
A picture containing building Description automatically generated | Left | Top of the part as seen from the probe axis
 | Right | Top of the part as seen from the probe axis
A close up of a sign Description automatically generated | Front | Front side of the part as seen from the front of the machine
A close up of a sign Description automatically generated | Rear | Rear side of the part as seen from the front of the machine
A close up of a sign Description automatically generated | Bottom | Top of the part as seen from the probe axis
A picture containing object Description automatically generated | Diagonal | Used for points measured at an angle to the standard work planes

Appendix A – Config Tool

Overview

The Config Tool’s main screen consists of several tabs, a row of buttons, and a status line at the bottom of the screen

Overview – Config Tool Main Screen

The Config Tool Dialog

Tabs
The Config Tool Dialog’s Tabs
Tab Name | Description
General | General information about machine type, networking, and connection.
Parameters | Operating parameters
Axis Setup | Kinematic information for machine axes
Probe | Sub-macro definitions for loading and enabling the probe
Keyboard Setup | Colors and fonts for the on-screen keyboard
Advanced | Configuration of additional special functions

Buttons
The Config Tool Dialog’s Buttons
Tab Name | Description
Use Default | Restores the default values for all settings
Load Configuration | Load a configuration from a file
Save Configuration | Saves the data in the configuration
Read Machine | Reads information from the machine for the configuration
Generate Macro Program | Generates the necessary macros based on the configuration entered
Upload Program | Uploads the generated macros to the control
Exit | Exit the Config Tool

Setting up a machine

Before using Smooth OMM, the Config Tool must be used to configure various machine-related information for proper operation. This includes connection parameters, kinematic parameters, motion parameters, various macros and M-code settings etc. Once the various data is collected, the Config Tool is also used to generate macros appropriate to the machine and upload them to the CNC memory.

Steps to set up a machine
Step | Description
1 | Start the Config Tool
2 | Select the [General] tab and configure the controller, communication, and API security
3 | Press <Read Machine> to read out the machine parameters
4 | Select the [Parameters] tab and set the values there
5 | Select the [Axis Setup] tab to configure the kinematics and axis info
6 | Select the [Probe] tab and verify the macros
7 | Press <Save Configuration> to save the data
8 | Press <Generate Macro Program> to create the necessary macros
9 | Press <Upload Program> to transfer the macros to the CNC memory
10 | Press <Exit> to exit the Config Tool

Starting the Config Tool

The Config Tool is used to setup the parameters and macros for connecting and using Smooth OMM with the machine.

Starting the Config Tool

Language selection dialog

Required
Step | Image | Instructions
1 |  | Start the Smooth OMM Config Tool - The language selection dialog will open
2 |  | Select the language
3 |  | Click <OK> - The Config Tool dialog will open

Configuring items on the General tab

Configuring the General Tab

The General tab

Required
Step | Instructions
1 | Select the controller type:
 |  | DEMO | Use with the demo simulator
 |  | Smooth Machining Center | Smooth X & C machining centers
 |  | Matrix Machining Center | Inquire for compatibility
 |  | Smooth VTC (Swivel Head) | Smooth C VTX with swiveling head
 |  | Smooth Multi-tasking | Smooth X & C Integrex
 |  | Matrix Multi-tasking | Inquire for compatibility
2 | Enter the IP Address of the machine - When installed directly on the control use 127.0.0.1
3 | Enter the IP Port number - Typically, 57400 but may be different according to the machine parameter IO13
4 | Enter passwords in the section Mazak API Password for both application names - These may be any value. The same values must be entered in the API configuration on the control. - Ensure both application names and passwords have been entered in the control
5 | Press <Read Machine> to confirm communication with the API - The message “Controller read successfully” should appear at the bottom of the window
6 | If pressing <Read Machine> does not successfully connect to the machine: - Check the API security settings - Check the API application names and passwords - Check the Port Number - Check the IP Address Then repeat step 5

Optional
These items are not required for the operation of the software, but may be required for use with certain options or other systems
Macro File | Name of file containing macros generated by Config Tool
Machine Name | Name of the machine
Department | Department name of the machine
Location | Location ID of the machine
Inventory ID Number | Inventory number of the machine
Cost Number | Cost number of the machine
Serial Number | Machine serial number

Setting the values on the Parameters tab

Configuring the Parameters Tab

The Parameters tab

Required

Step

Instructions

1

Verify the operating units of the machine (Inch / mm)

2

Set the Speeds

Fast Probing Feed Rate

Enter the max speed for moving between points

Slow Probing Feed Rate

Enter the speed for measurement

Fast Rotary Feed Rate

Enter the speed for rotating the rotary axes

3

Set the variable and program addresses

Variables Base

Starting address for program variables

(Allow 26 free consecutive variables!)

Settings Base

Starting address for settings variables

(Allow 26 free consecutive variables!)

Program Number

Starting program number

(Allow 10 free consecutive program numbers!)

4

Verify the Tool / Tool Table information

Tool Number Address

Address of the active tool in the spindle

Tool Offset Type

Tool table type

(Types A, B, C specify whether only geometry is stored in the tool table or if wear values are stored as well.)

Tool Number > 200

Check this if the machine supports more than 200 tools

5

Verify the Spindle Positioning commands

Spindle Positioning

M Codes required to rotate the mill spindle to a specific angle. Be sure to include “<angle>” at the place where an angle value is expected.

- It is possible to leave this field empty. This will result in the “Find Sphere” and “Find Ring” functions in Smooth OMM being disabled

Unclamp

M-Code to unclamp the mill spindle

- Leave blank if machine does not require this

Clamp

M-Code to clamp the mill spindle

- Leave blank if machine does not require this

Optional
These items are not required for the operation of the software, but may be required for use with certain options or other systems.
G68 / G68.2 | Select if the machine is equipped with the option - An additional macro will be created (see below) - An additional function (update coordinate rotation) will appear in Smooth OMM’s (optional) measurement menu
Coordinate Rotation Macro | Defines the content of a user macro that can be used to update the coordinate rotation values with G68/G68.2

Configure the Kinematic and Axis info

Configuring the Axis Setup Tab

The Axis Setup tab

Required
Step | Instructions
1 | Verify that all axes required for measurement are listed in the available axis list - If an axis is not displayed, enter the name of the missing axis in “Axis Display Name” and press <Add>
2 | Verify that all axes required for measurement are displayed in GREEN - If a required axis is not GREEN, select the axis name in the list, then check the checkbox “Enable”
3 | Verify the properties of the primary linear axes (X, Y & Z Axes, not extended linear axes) - Kinematic Type = “Linear” - Machine Component = “Primary Axis”
4 | Verify the properties of the rotary axes - +/- Limits - Lock / Unlock M-Codes - Rotation Vector (I, J, K) - Clockwise rotation?
 | For rotary tables / Lathe Spindles | - Kinematic Type = “Rotary” - Machine Component = “Rotary Table” (Lathe Spindles = “First Spindle” or “Second Spindle) - Rotary Table Type (Stacked, Single, Dual) - Rotary Table Position (for stacked tables) Upper / Lower

Additional Notes
Item | Notes
Rotation Vector | The rotation vector (I, J, K) describes the direction of the axis of rotation for a rotary axis. I, J, and K are the components (direction cosines) of the vector in the X, Y and Z directions respectively. The examples below illustrate this.
 | Rotary axis rotates around the X-Axis - Typically, an “A” Axis |
 |  | I=1, J=0, K=0
 | Rotary axis rotates around the Y-Axis - Typically, a “B” Axis |
 |  | I=0, J=1, K=0
 | Rotary axis rotates around the Z-Axis - Typically, a “C” Axis |
 |  | I=0, J=0, K=1
 | Rotary axis is inclined - Shown here for clarity |
 |  | I=0.7071, J=0, K=0.7071
Clockwise | Clockwise or counter clockwise is determined by looking down the axis of rotation and is the direction of positive rotation. In each of the examples above, the clockwise direction is shown with the red arrow
Upper / Lower | If a machine is equipped with trunnion tables, the relationship of the two tables to each other must be specified. In trunnion table systems, one table “carries” the second table. The table that “carries” the second table is the LOWER table. The second table can be rotated without affecting the position of the first table. This second table is the UPPER table

Verify the Probe Macros

The Probe tab is used to configure sub-macros that are used with Smooth OMM’s monitor macro and automatic mode macro.

Configuring the Probe Tab

The Probe tab

Required
Step | Instructions
1 | Verify that the correct M-Codes are entered in the “Enable Probe Macro” - Include any codes required to turn the probe on - End the macro with M99 When macros are generated, the macro code here will appear in the macro O <Program Number> + 5 (ie. If the Program number on the Parameters tab is 7000, then the Enable Probe macro will be 7005)
2 | Verify that the correct M-Codes are entered in the “Disable Probe Macro” - Include any codes required to turn the probe off - End the macro with M99 When macros are generated, the macro code here will appear in the macro O <Program Number> + 6 (ie. If the Program number on the Parameters tab is 7000, then the Enable Probe macro will be 7006)
3 | Verify the macro to load the probe - End the macro with M99 When macros are generated, the macro code here will appear in the macro O <Program Number> + 7 (ie. If the Program number on the Parameters tab is 7000, then the Enable Probe macro will be 7007)
4 | The Move test macro is not normally required - Ensure that M99 is in this macro When macros are generated, the macro code here will appear in the macro O <Program Number> + 8 (ie. If the Program number on the Parameters tab is 7000, then the Enable Probe macro will be 7008)
5 | If any custom macro must be run whenever the Smooth OMM Macros start, add the macro code to “Start Program Macro” - This macro code will be inserted in the main macro, and the automatic mode macro
6 | If any custom macro must be run whenever the Smooth OMM Macros end, add the macro code to “End Program Macro” - This macro code will be inserted in the main macro, and the automatic mode macro

Other Tabs – Keyboard Tab

The Keyboard tab allows you to customize the appearance of the onscreen keyboard, setting different colors for the keys, key borders, background color, key and font size.

Settings on the Keyboard tab

The Keyboard tab

Optional
These items are not required for the operation of the software, but may be required for use with certain options or other systems.
Enable Keyboard | Turns the onscreen keyboard on or off. The Onscreen keyboard must be on when installed on a Smooth control. It is optional on a Matrix control.
Back Color | Defines the background color of the onscreen keyboard
Character Size | Font size for the characters on the keys of the onscreen keyboard
Character Color | Color of the characters on the keys of the onscreen keyboard
Key Style - Size | Size of the keys on the onscreen keyboard
Frame Color | Color of the border of the keys on the onscreen keyboard
Back Color - Normal Time | Background color of the keys on the onscreen keyboard
Back Color - Hover | Background color of a key on the onscreen keyboard when the mouse hovers over the key
Back Color - Pressed | Background color of a key on the onscreen keyboard when the key is pressed

Other Tabs – Advanced Tab

The Advanced tab is used to configure additional functions related to file management with Smooth OMM.

Settings on the Advanced tab

The Advanced tab

Optional
These items are not required for the operation of the software, but may be required for use with certain options or other systems.
Enable File Deletion | Turns on automatic file cleanup. All measuring reports, and statistics data stored on the machine will be deleted according to the criteria specified
Expire Days | Set the number of days to keep data before deleting it
Deletion Time | Set the time of day that the files will be deleted

Appendix B - Licensing

Smooth OMM comes with probe calibration, rotary axis calibration, and set work offset functions enabled.

The functions Measurement, Reporting, and Trend are an option.

This option can be activated as a trial for 120 days. Once the trial period expires, a license is required to continue using these functions.

Starting the trial period

To start the trial period for these functions, press either the Measurement, Report or Trend buttons on the home screen.

A warning message will appear asking you if you are sure you want to start the 120-day trial period.

Pressing OK in this dialog will start the trial period

The dialog will continue to appear daily, reminding you of the time remaining in the trial period.

Registering a license

If you have a license code to activate the option, enter it into the software as follows:

Start Smooth OMM

Press the Settings button

On the Settings menu, press the licensing button

Enter the license code in the Register License screen

Press OK

The new license will be activated.

Appendix C – Installing the software

Standard installation

The following instructions describe the standard installation process. This is suitable for most installations. Additional options are available using the “Custom” installation. The custom installation, as well as some additional special-case installation scenarios are discussed in the appendices.

Overview

The standard installation is straightforward, and applies the default settings to the installation of Smooth OMM as follows:

Item | Default
Data Drive | C:\
Installation Path | C:\Program Files (x86)
Languages | All language support files

Requirements

The following space requirements must be met to install Smooth OMM

Location | Required Space
USB / Installation Media | 400MB
Installation Directory | 400MB

Installation instructions
Step | Dialog | Instructions
1 |  | When the Smooth OMM installer starts, it displays a progress bar as it unpacks the installation files
2 |  | Once the installation files have been unpacked, the Q-COM installer dialog appears. - Click <Install>
3 |  | The Q-COM installer displays a progress bar as it begins installing the Q-COM components
4 |  | Once the Q-COM components have been installed, a dialog will appear displaying the registered products and languages for Q-COM - Ensure that the following checkboxes are checked: - Product - Q-COM - Language - Click <Register>
5 |  | Once the Q-COM components have been successfully installed, a welcome dialog appears. - Click <Next>
6 |  | Choose the type of installation - Click the button next to “Typical” Alternatively, you can click the “Custom” to change the following: - Data drive - Installation directory - Installed Languages For details on the “Custom” installation, see the appendix
7 |  | The installer is now ready to install Smooth OMM - Click <Install>
8 |  | A dialog appears showing the progress of the installation. <Cancel> can be pressed at any time to stop the installation.
9 |  | When the installation is complete, a dialog will appear allowing you to optionally view the readme notes and finish the installation. - Click <Finish> Smooth OMM is now installed. Next, it must be configured using the Config Tool software.

Appendix D – Common Error Messages

The following is a list of common error messages that may be encountered while using Smooth OMM.

Common Error Messages
Message | Details
[The Tool Number Address of '...' is incorrect. This address can only contain numbers.] | The tool number address should only be a number. Text is not allowed here.
B axis not calibrated for use with second spindle | The B axis must be calibrated for each spindle. Run the wrist calibration with the second spindle active
Rotary table was not calibrated for use with second spindle | The second spindle has not been calibrated, calibrate the second spindle
... [Failed to generate a monitor macro file.] | The macros for the machine could not be generated. Check that the config tool was properly installed.
... [Failed to load machine settings.] | The configuration file could not be loaded from the Data Center. It may be corrupted or from a different version
... [File could not be saved.] | File could not be saved, check for any issues with privileges or access to the directory
... is not allowed to be removed. Please check dependent features. | The selected item cannot be deleted because other features in the program require it. Remove the dependent items first.
Calibration Must be Performed with Probe Parallel to a Machine Axis. | Probe must be parallel to a machine axis (X, Y, Z).
Calibration Result Doesn't Pass the Tolerance Verification. Press Confirm Button to Save It or Press Cancel to Calibrate Again. | Tolerance values have been set in the calibration command. Check that the calibration artifact is clean, the probe stylus is clean, the artifact is securely mounted on the machine, and that both artifact and probe are not damaged
Can't Print the Report. | Check that a default printer has been configured on the machine
Clearance Plane Height Is Too Low for Feature. | The height of the last clearance plane is too low for the feature you are trying to measure. Raise the height of the last clearance plane, or insert a new clearance plane to continue
Compared to the Defined Z Value of the Center, the Probe is Too High. Please Fix and Try Again. | The Z value of the artifact is much lower than the current position of the probe. Check that the Z height of the artifact is correct, and ensure that the probe is placed within the search distance from the artifact
Compared to the Defined Z Value of the Center, the Probe is Too Low. Please Fix and Try Again. | The Z value of the artifact is higher than the current position of the probe. Check that the Z height of the artifact is correct
Component Features were not Executed. | Features used in a construction were not executed. Exeute the features before trying to evaluate the construction
Connection Attempts Stopped. Please Check Your Configure File and Restart .... | Smooth OMM could not connect to machine, check ConfigTool

Message | Details
Construction Failed. Please Try Different Features. | The features are not suitable for constructing use different features
Controller Read Failed | Could not read controller data, check IP Address, Port, API Security and passwords
ERROR: .dfd file is incorrect | The statistics dfd file is not correct. It may be corrupted.
ERROR: cannot connect to qs-STAT | It is not possible to connect to the statistics service, this may be an installation problem
Execution cancelled | Execution stopped because the stop button on the machine was pressed, or cancelled by the macros
Execution is Cancelled. | Execution stopped because the stop button on the machine was pressed, or cancelled by the macros
Failed to access the machine serial number. | Unable to read machine serial number, check the connection to the API and API security
Failed to Acquire Machine Configure Information! | The configuration file could not be loaded from the Data Center. Check access to the data drive and data center
Failed to Connect to Machine Control | Not able to connect to machine control
Failed to Connect to Machine Control. | Not able to connect to machine control
Failed to Connect to Machine. Try Connecting --- | Failed to connect to machine, trying to connect.
Features Used Have Not Been Measured. Press Confirm Button to Save Command Only. | Features have only been taught and have not been measured. Press confirm to save the command only.
Inserting A Constructed Feature Before the Component Commands is Not Allowed. | You are trying to insert a construction, evaluation or update command before the features used in that command are measured. This is not possible. Insert the command after the required features have been measured
Invalid Report Save Path! Please Enter a New Path. | Not able to save report. Enter new directory to save.
Local Clearance Plane Not Support for Arc Learn. Please Check Learn Using Values on Screen to Add Command | It is not possible to teach in an arc using a local clearance plane. You can however type in the values, test the execution with block execute, and then save the command when it is correct
Math Error Encountered | Encountered mathematical error please retry
Measurement Routine Is Not Saved. Do You Want to Exit Without Saving The Changes? | Changes were made to the gaging program which have not been saved. Open file manager to save or dismiss to exit and delete.
Monitor Stopped | Execution stopped on the machine. Check the program.
Not Enough Points | The feature you are trying to measure requires more points. The minimum number of points for a Bore/Boss is 3, Plane: 3, Cone: 6, Sphere: 4, Cylinder: 6

Message | Details
Path Obstructed! | Probe is triggered during movement, possibly a collision. Execution stopped. Check the part and the work offset used. Check the probe for possible false triggering
Point Not Found! | Point not within search distance. Execution stopped. Check the part and the work offset used
Probe direction must be rotated to a machine axis. Please rotate probe and try again. | For this function, the probe must be aligned with one of the machine axes. Rotate the head axis to align the probe with a machine axis.
Probe Error: Path Obstructed! | Probe is triggered during movement, possibly a collision. Execution stopped. Check the part and the work offset used. Check the probe for possible false triggering
Probe Error: Point Not Found! | Point not within search distance. Execution stopped. Check the part and the work offset used
Rough Alignment is Not Close to Target Angle. Repeat the Alignment and Try Again | To set the rotary table offset, the feature must be rotated close to the desired 0 position before teaching in
Safe Point Height Is Too Low | The height of the last safe point is too low for the feature you are trying to measure. Raise the height of the last safe point, or insert a new safe point to continue
The Angles Must Be Between 0 and 90 and Differ By More Than 20 Degrees. Please Fix and Press Confirm Button. | The angles must be at least 20 degrees apart to measure successfully
The Direction of the Line Should be Perpendicular to the Rotary Axis. Please Relearn. | You are trying to set a rotary axis angle using a line that is parallel with the rotary axis. Use a line that is perpendicular to the rotary axis
The Direction Point of the Line is Too Close to the Line. Please Relearn. | When teaching in a line, the points were not spaced out far enough from each other
The Four Points Learned Do Not Form a Valid Corner. Please Relearn. | The points used when teaching in a corner were not taken in the right order, two points were the same, or all lie in a line. The first two points should form a line, and the second two points should form a line. The two lines should be at an angle to each other.
The Measurement Routine cannot be found! | An attempt to call a gaging program in automatic mode failed because the gaging program could not be found. Check that the gaging program was saved as a 4-digit number and the calling NC program is using the correct number
The monitor macro file is not available. Generate the macro file first. | The macro used for teach-in could not be found on the machine. Use the Config Tool to recreate the macro and upload it
The Number of Points to Measure is Too Small. Please Fix and Press Confirm Button. | The feature you are trying to measure requires more points. The minimum number of points for a Bore/Boss is 3, Plane: 3, Cone: 6, Sphere: 4, Cylinder: 6

Message | Details
The Probe Must be Positioned To Within the ... {1} Distance of the Defined 2D Center. | The probe is not well aligned with the center of the artifact. Position the probe axis so it is aligned closer to the center of the artifact
The required rotary axis is not calibrated for selected spindle. | The B axis must be calibrated for each spindle. Run the wrist calibration with the second spindle active
The Rotary Angle is Too Small. Please Relearn. | The change in the C axis angle was too small. Please try again ensuring that you use a larger C axis rotation
The Rotary Search Failed! | Could not find the feature while searching on the C-Axis. Check that the feature exists, the nominal values and the search values.
The Selected Features Are Not in The Same Work Plane. | The features selected lie in different planes and cannot be used for the function.
The selected program is created by different unit. | There is a unit mismatch between the units of the gaging program you selected, and the units that the machine is set to. Verify the Inch/MM settings on the machine or check that you are selecting the correct gaging program
The spindle mode of ... and Machine is different | Check that the spindle selected in Smooth OMM is the same as the active spindle on the machine
The target machine does not support Measurement Routines with greater than 3 Axes. | You are trying to load a gaging program that was created for a machine with more than three axes. This is not possible on a three-axis machine.
The Target Offset Number Is Being Used by The Probe. The Update Is Not Allowed. | You tried to use the Update Tool function with the tool number for the active probe. This is not allowed. Check the correct tool number.
The Two Points Do Not Form a Valid Rectangle. Please Relearn. | When trying to teach in a grid pattern, the points all lie on a line. Re-teach and ensure that the points form a rectangle
The Two Points Learned Do Not Form a Valid Vector. Please Relearn. | There was not enough distance between the two learned points to make a vector. Re-teach the two points and ensure that they are further away from each other
This Command Can't Be Removed. Subsequent Commands Depend on It. | You are trying to delete a feature that is used elsewhere in the gaging program. Check for constructions, evaluations, update offset, update tool or write variable commands that use the feature.
Tool in The Spindle is Not the Same as the Active Probe. Press Confirm to Load the Probe Or Press Cancel to Abort. | The tool number of the tool in the spindle does not match the tool number of the probe in Smooth OMM. Please check them.
Upper Angle Not 90 Degree so Sphere Can Not Be Learned. Please Check Learn Using Values on Screen to Add Command. | It is not possible to teach in a sphere if the upper angle is not 90 degrees. Use "Learn using values on screen" instead to create the command.
W axis is not at stroke end. | Please ensure that the W axis is completely retracted before trying to measure
Warning: Sphere Tool I, J, K Invalid | The vector entered for the sphere stem is not correct. It must be a normalized vector.

Message | Details
Warning: The Input Field With (*) Requires a Valid Value. | A red "*" is shown next to input fields that require information. Enter all required data to continue
Warning: The Machine Rotary Axes Position(s) Do Not Match the Current Move Rotary Axes. Please Fix Before Continuing. | The position of the rotary axes does not match the position stored in the last Move Rotary Axes command. Jog the machine back to the correct position, or re-execute the last Move Rotary Axes command to continue
Warning: The Selected Macro Variable is Used by .... Please Use A Different Variable. | You are trying to write to a variable that is used by Smooth OMM. Please use a different value